Prompt Categories
Supports non-CRUD reads, such as finding an unused category colour for a prompt.
Authorizations
AuthorizationstringRequired
Bearer authentication with JWT
Path parameters
projectIdentifierstringRequired
Query parameters
promptObjectIdentifierstring · uuidOptional
unusedColourbooleanOptionalDefault:
falseResponses
200
OK
string · enumOptionalPossible values:
400
Bad Request
401
Unauthorized
403
Forbidden
get/projects/{projectIdentifier}/prompt-categories
GET /projects/{projectIdentifier}/prompt-categories HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
primaryCreates a new named, coloured prompt category within the specified project.
Authorizations
AuthorizationstringRequired
Bearer authentication with JWT
Path parameters
projectIdentifierstringRequired
Body
namestring · min: 1Required
colourstring · enumOptionalPossible values:
promptObjectIdentifierstring · uuidOptional
resourceOwnerIdstring · nullableOptional
Responses
200
OK
objectIdentifierstring · uuidRequired
namestring · nullableRequired
colourstring · enumRequiredPossible values:
400
Bad Request
401
Unauthorized
403
Forbidden
post/projects/{projectIdentifier}/prompt-categories
POST /projects/{projectIdentifier}/prompt-categories HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 123
{
"name": "text",
"colour": "primary",
"promptObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"resourceOwnerId": "text"
}{
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"colour": "primary"
}Returns the prompt category identified by its GUID within the specified project.
Authorizations
AuthorizationstringRequired
Bearer authentication with JWT
Path parameters
objectIdentifierstring · uuidRequired
projectIdentifierstringRequired
Responses
200
OK
objectIdentifierstring · uuidRequired
namestring · nullableRequired
colourstring · enumRequiredPossible values:
401
Unauthorized
403
Forbidden
get/projects/{projectIdentifier}/prompt-categories/{objectIdentifier}
GET /projects/{projectIdentifier}/prompt-categories/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"colour": "primary"
}Updates the name and colour of an existing prompt category in the project.
Authorizations
AuthorizationstringRequired
Bearer authentication with JWT
Path parameters
objectIdentifierstring · uuidRequired
projectIdentifierstringRequired
Body
namestring · min: 1Required
colourstring · enumOptionalPossible values:
Responses
200
OK
objectIdentifierstring · uuidRequired
namestring · nullableRequired
colourstring · enumRequiredPossible values:
400
Bad Request
401
Unauthorized
403
Forbidden
put/projects/{projectIdentifier}/prompt-categories/{objectIdentifier}
PUT /projects/{projectIdentifier}/prompt-categories/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 34
{
"name": "text",
"colour": "primary"
}{
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"colour": "primary"
}Permanently removes the specified prompt category from the project.
Authorizations
AuthorizationstringRequired
Bearer authentication with JWT
Path parameters
objectIdentifierstring · uuidRequired
projectIdentifierstringRequired
Responses
204
No Content
No content
401
Unauthorized
403
Forbidden
delete/projects/{projectIdentifier}/prompt-categories/{objectIdentifier}
DELETE /projects/{projectIdentifier}/prompt-categories/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
Last updated
